<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:tns="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Methods.GlobalIndexer.ImportFile" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Methods.GlobalIndexer.ImportFile" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Methods.IDB" />
  <xs:import namespace="http://schemas.datacontract.org/2004/07/DigitalData.Modules.ZooFlow.State" />
  <xs:import namespace="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Messages" />
  <xs:complexType name="ImportFileRequest">
    <xs:sequence>
      <xs:element xmlns:q1="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Methods.IDB" minOccurs="0" name="AttributeValues" nillable="true" type="q1:ArrayOfUserAttributeValue" />
      <xs:element xmlns:q2="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Methods.IDB" minOccurs="0" name="File" nillable="true" type="q2:FileProperties" />
      <xs:element minOccurs="0" name="IDBDoctypeId" nillable="true" type="xs:string" />
      <xs:element minOccurs="0" name="KindType" nillable="true" type="xs:string" />
      <xs:element minOccurs="0" name="ProfileId" type="xs:int" />
      <xs:element minOccurs="0" name="StoreName" nillable="true" type="xs:string" />
      <xs:element xmlns:q3="http://schemas.datacontract.org/2004/07/DigitalData.Modules.ZooFlow.State" minOccurs="0" name="User" nillable="true" type="q3:UserState" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="ImportFileRequest" nillable="true" type="tns:ImportFileRequest" />
  <xs:complexType name="ImportFileResponse">
    <xs:complexContent mixed="false">
      <xs:extension xmlns:q4="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Messages" base="q4:BaseResponse">
        <xs:sequence>
          <xs:element minOccurs="0" name="ObjectId" type="xs:long" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:element name="ImportFileResponse" nillable="true" type="tns:ImportFileResponse" />
</xs:schema>